## dcmtk 3.6.1~20131114

=== debian/changelog ===
dcmtk (3.6.1~20131114-1) experimental; urgency=low

  * New snapshot. Closes: #723091, #715039
  * Refresh patches

 -- Mathieu Malaterre <malat@debian.org>  Fri, 22 Nov 2013 19:55:25 +0100

dcmtk (3.6.1~20121102-5) experimental; urgency=low

  * Fix jquery.js removal when executing build-indep

 -- Mathieu Malaterre <malat@debian.org>  Wed, 04 Sep 2013 09:08:29 +0200

dcmtk (3.6.1~20121102-4) experimental; urgency=low

  * Fix buffer overflow in StudyInstanceUID. Closes: #715011
  * Fix apache 2.4 transition. Closes: #669740
  * Fix -doc installation. Closes: #717968

 -- Mathieu Malaterre <malat@debian.org>  Mon, 02 Sep 2013 11:13:46 +0200

dcmtk (3.6.1~20121102-3) experimental; urgency=low

  * fix lintian warning about jquery.js (doxygen generated)
  * remove internal tests suite from dcmtk package
  * cope with cmake and #701231
  * Update patch d/p/bug706062.patch. Closes: #706062
  * Upgrade for apache 2.4. Closes: #669740

 -- Mathieu Malaterre <malat@debian.org>  Wed, 19 Jun 2013 13:51:22 +0200

dcmtk (3.6.1~20121102-2) experimental; urgency=low

  * Install *.dic to versioned dir (See #709123)
  * Add preliminary work to get iconv support

 -- Mathieu Malaterre <malat@debian.org>  Fri, 31 May 2013 17:39:30 +0200

dcmtk (3.6.1~20121102-1) experimental; urgency=low

  * Use new dh syntax
  * Run w-a-s. Use B-D-I for doxygen
  * Switch to cmake build system (allows parallel builds). Closes: #701801
  * Use system CharLS. Closes: #705923
  * Use SOP class uid with option. Closes: #706062

 -- Mathieu Malaterre <malat@debian.org>  Wed, 15 May 2013 10:34:58 +0200
