=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

# reduce overlinking:
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

# deduce documentation option (build-indep target)
ifeq "" "$(filter %-doc,$(shell dh_listpackages))"
  BUILDDOC = OFF
else
  BUILDDOC = ON
endif

# when BUILDDOC==OFF, convenient copies of doxygen man pages are used
# when BUILDDOC==ON, doxygen man pages are being regenerated, this may leads to
# improper md5sum...

%:
	dh $@ --parallel --buildsystem=cmake

# -DDCMTK_INSTALL_DATDIR:STRING=libdcmtk3

# SKIP_RPATH=OFF to run test suite:
# see #701231
CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE:STRING="" \
 -DBUILD_SHARED_LIBS:BOOL=ON \
 -DDCMTK_WITH_OPENSSL:BOOL=ON \
 -DDCMTK_WITH_PRIVATE_TAGS:BOOL=ON \
 -DDCMTK_WITH_XML:BOOL=ON \
 -DDCMTK_WITH_DOXYGEN:BOOL=$(BUILDDOC) \
 -DDCMTK_WITH_TIFF:BOOL=ON \
 -DDCMTK_WITH_ZLIB:BOOL=ON \
 -DDCMTK_WITH_ICONV:BOOL=ON \
 -DUSE_COMPILER_HIDDEN_VISIBILITY:BOOL=ON \
 -DCMAKE_VERBOSE_MAKEFILE=ON \
 -DDCMTK_INSTALL_DATDIC:STRING=share/libdcmtk3 \
 -DCMAKE_SKIP_RPATH:BOOL=OFF

# -DCMAKE_INSTALL_PREFIX=/usr \

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_build-arch:
	# need man page in -arch packages:
	#$(MAKE) -C obj-* man
	dh_auto_build

# Let's be smart with building doc
override_dh_auto_build-indep:
	$(MAKE) -C obj-* DOXYGEN

# No tests needed for docs
override_dh_auto_test-indep:

override_dh_auto_install-arch:
	dh_auto_install
	# ??
	mv debian/tmp/usr/etc debian/tmp/

override_dh_auto_install-indep:
	#DESTDIR=debian/tmp $(MAKE) -C obj-*/doxygen install
	DESTDIR=$(CURDIR)/debian/tmp $(MAKE) -C obj-*/doxygen install 
	#rm debian/dcmtk/usr/share/man/man1/_tmp_buildd*
	#rm debian/tmp/usr/share/man/man1/_tmp_buildd*
	rm debian/tmp/usr/share/man/man1/_*.1

#override_dh_installdocs-indep:
#	dh_installdocs -pdcmtk-doc
#	# do the doxygen / jquery fix:
#	dh_clean -pdcmtk-doc debian/dcmtk-doc/usr/share/doc/dcmtk-doc/html/jquery.js
#	dh_link -pdcmtk-doc usr/share/javascript/jquery/jquery.js usr/share/doc/dcmtk-doc/html/jquery.js

override_dh_install-arch:
	dh_install --list-missing
	chmod +x debian/dcmtk-www/usr/lib/dcmtk/cgi-bin/*
	# wotsit ?
	rm ./debian/dcmtk/usr/bin/*_tests
	rm ./debian/dcmtk/usr/bin/drttest

override_dh_strip:
	dh_strip --dbg-package=libdcmtk3-dbg

get-orig-source:
	uscan --force-download --verbose --rename

.PHONY: get-orig-source
