=== debian/changelog ===
dcmtk (3.6.1~20150924-5) unstable; urgency=medium

  * d/libdcmtk-dev revert last change since ITK-4.9 now supports
    properly the dcmtk*.cmake files.
  * d/control: conflict with older versions of libinsighttoolkit-dev

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 30 Jan 2016 23:11:21 +0100

dcmtk (3.6.1~20150924-4) unstable; urgency=medium

  * Do not install DCMTK*.cmake files, they break things.
    cmake's FindDCMTK handles this case better without these files.

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 05 Jan 2016 21:42:56 +0100

dcmtk (3.6.1~20150924-2) unstable; urgency=medium

  * Update internal use of DCMDICT path Closes: #807691
  * Correct Apache-2.0 copyright 

 -- Gert Wollny <gw.fossdev@gmail.com>  Fri, 11 Dec 2015 17:42:45 +0100

dcmtk (3.6.1~20150924-1) unstable; urgency=medium

  * New upstream version 
  * Move vcs to git
  * Remove dcmtk-www, because it is no longer provided by upstream
  * Because of ABI change rename library package to libdcmtk5 
  * Add libcharls-dev to libdcmtk-dev dependencies (reason: see below)

 -- Gert Wollny <gw.fossdev@gmail.com>  Tue, 01 Dec 2015 02:46:03 +0100

dcmtk (3.6.1~20150629-7) unstable; urgency=medium

  * d/control: Add more dependencies to libdcmtk-dev, because the
    cmake based build system creates a cmake use file that pulls in
    these libraries for linking.

 -- Gert Wollny <gw.fossdev@gmail.com>  Sun, 29 Nov 2015 21:16:37 +0100

dcmtk (3.6.1~20150629-6) unstable; urgency=medium

  * Change Provides:libdcmtk-dev to Provides:libdcmtk2-dev Closes: #805718

 -- Gert Wollny <gw.fossdev@gmail.com>  Sat, 21 Nov 2015 13:58:54 +0100

dcmtk (3.6.1~20150629-5) unstable; urgency=medium

  * d/control: Add conflict/replace for libdcmtk4-dev 

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 12 Nov 2015 13:30:12 +0100

dcmtk (3.6.1~20150629-4) unstable; urgency=medium

  * Add patch soversion_abi.patch to change not only the library file 
    name but also in the cmake related files. 
  * Add patch dont_export.. to not export all executables for cmake 
    Closes: #803304
  * d/rules: remove code to add abi-suffix to libraries on install 
  * Add Gert Wollny to uploaders 

 -- Gert Wollny <gw.fossdev@gmail.com>  Thu, 29 Oct 2015 11:51:54 +0100

dcmtk (3.6.1~20150629-3) unstable; urgency=medium

  * Adapt prerm script for dash
    Closes: #803008
  * small DEP5 fixes

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2015 12:11:22 +0100

dcmtk (3.6.1~20150629-2) unstable; urgency=medium

  * debian/copyright: DEP5
  * unversioned -dev package
    Closes: #800481
  * Inform users about non-backward compatible changes in dcmtk database
    when using dcmqrscp
    Closes: #799039
  * suppress lintian warnings no-symbols-control-file
  * create empty dir /var/lib/dcmtk/db in package
    Closes: #801735

 -- Andreas Tille <tille@debian.org>  Fri, 23 Oct 2015 23:29:57 +0200

dcmtk (3.6.1~20150629-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * libdcmtk4-dev conflicts libdcmtk2-dev
    Closes: #769151
  * Do gcc-5 transition on new version
  * Conflicts/Replaces: libdcmtk3
    Closes: #754583
  * Do not hardcode path to invoke-rc.d in maintainer scripts
  * Fix apache configuration (thanks for the patch to HAYASHI Kentaro
    <kenhys@gmail.com>)
    Closes:  #779700
  * Apply patch to fix performance problem (thanks for the patch to
    Sebastien Jodogne <s.jodogne@chu.ulg.ac.be>)
    Closes: #785400)
  * Enable reproducible build (Thanks for the patch to Maria Valentina Marin
    <marivalenm@gmail.com>)
    Closes: #790133

 -- Andreas Tille <tille@debian.org>  Sun, 13 Sep 2015 20:31:57 +0200

dcmtk (3.6.1~20140617-3) experimental; urgency=low

  * Fix building/running on sparc.
  * Really remove md5 files from doxygen HTML output

 -- Mathieu Malaterre <malat@debian.org>  Mon, 07 Jul 2014 09:09:49 +0200

dcmtk (3.6.1~20140617-2) experimental; urgency=low

  * Fix SIGSEGV on sparc
  * Fix removal of md5 files on buildds

 -- Mathieu Malaterre <malat@debian.org>  Tue, 01 Jul 2014 11:15:54 +0200

dcmtk (3.6.1~20140617-1) experimental; urgency=low

  * New snapshot. Use ABI=4 as per upstream
  * Refreshed patches, removed applied upstream

 -- Mathieu Malaterre <malat@debian.org>  Wed, 18 Jun 2014 08:44:51 +0200

dcmtk (3.6.1~20131114-7) experimental; urgency=low

  * Bump Std-Vers to 3.9.5, no changes needed
  * Fix failing SCP test. Closes: #740342

 -- Mathieu Malaterre <malat@debian.org>  Fri, 28 Feb 2014 13:19:20 +0100

dcmtk (3.6.1~20131114-6) experimental; urgency=low

  * Remove non-ASCII char. Closes: #732673
  * Fix setuid return value. Closes: #731434
  * Update old copyright. Closes: #732672

 -- Mathieu Malaterre <malat@debian.org>  Thu, 27 Feb 2014 17:33:18 +0100

dcmtk (3.6.1~20131114-5) experimental; urgency=low

  * Increase timeout a little to fix issue on s390x
    + d/p/timeout.patch

 -- Mathieu Malaterre <malat@debian.org>  Fri, 20 Dec 2013 11:02:48 +0100

dcmtk (3.6.1~20131114-4) experimental; urgency=low

  * Import patch from git (upstream)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 19 Dec 2013 17:33:18 +0100

dcmtk (3.6.1~20131114-3) experimental; urgency=low

  * Another round of compilation fixes. Closes: #731434
  * Fix installation. Closes: #731752
  * Another attempt at fixing test. Closes: #730582

 -- Mathieu Malaterre <malat@debian.org>  Tue, 10 Dec 2013 15:15:52 +0100

dcmtk (3.6.1~20131114-2) experimental; urgency=low

  * Fix failing test (ofstd_markup_6). Closes: #730582
  * Remove some spelling error in man pages. Closes: #730635
  * Remove CMake overriding our compilation flags. Closes: #730636

 -- Mathieu Malaterre <malat@debian.org>  Thu, 05 Dec 2013 12:50:28 +0100
